import lume from "lume/mod.ts";
import attributes from "lume/plugins/attributes.ts";
import codeHighlight from "lume/plugins/code_highlight.ts";
import date from "lume/plugins/date.ts";
import jsx_preact from "lume/plugins/jsx_preact.ts";
// import lightningcss from "lume/plugins/lightningcss.ts";
import sass from "lume/plugins/sass.ts";
import sitemap from "sitemap";
import svgo from "lume/plugins/svgo.ts";

const site = lume({
  src: "./src",
  dest: "./dist",
  location: new URL("https://samtherapy.net")
});

site
  .copy("img")
  .copy(".well-known")
  .use(attributes())
  .use(date())
  .use(jsx_preact())
  // .use(mdx())
  .use(sass({ extensions: [".scss"] }))
  .use(codeHighlight())
  // .use(lightningcss())
  .use(sitemap())
  .use(svgo())
  .remoteFile(
    "_includes/styles/external/nord.min.css",
    "https://cdn.jsdelivr.net/gh/highlightjs/cdn-release@11.6.0/build/styles/nord.min.css",
  );
export default site;
